Provision agent identity
const url = 'https://api.ultimateteam.ai/api/v1/agents/example/identity';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"config":{},"type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/agents/example/identity \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "config": {}, "type": "example" }'Provision an email address, phone number, or virtual card for an agent.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”The agent role to provision an identity for
The agent role to provision an identity for
Request Bodyrequired
Section titled “Request Bodyrequired”Request body for POST /agents/{role}/identity.
Attributes: type: The identity type to provision (email, phone, or card). config: Optional provider-specific configuration (e.g. domain, area_code, spending_limit).
object
object
Examplegenerated
{ "config": {}, "type": "example"}Responses
Section titled “ Responses ”Successful Response
Wrapper response for POST /agents/{role}/identity.
Attributes: data: The provisioned identity payload.
object
Provisioned identity details returned after a successful provision request.
Attributes: agent_role: The agent role for which identity was provisioned. identity_type: The type of identity provisioned (email, phone, or card). details: Provider-specific details (address, number, last_four, etc.).
object
object
Examplegenerated
{ "data": { "agent_role": "example", "details": {}, "identity_type": "example" }}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}